Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 552936 (gnupg-2.1, gnupg-2.2) - app-crypt/gnupg-2.1.15 stabilization
Summary: app-crypt/gnupg-2.1.15 stabilization
Status: RESOLVED FIXED
Alias: gnupg-2.1, gnupg-2.2
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Kristian Fiskerstrand
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 538488 547456 552938 560272 573398 586056 586440 586442 590650 590652 590654 590656 CVE-2016-6313 597388
Blocks: CVE-2015-1606, CVE-2015-1607 586432 606604
  Show dependency tree
 
Reported: 2015-06-23 14:54 UTC by Kristian Fiskerstrand
Modified: 2017-02-18 14:44 UTC (History)
3 users (show)

See Also:
Package list:
=app-crypt/gnupg-2.1.15
Runtime testing required: Yes
kensington: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kristian Fiskerstrand gentoo-dev Security 2015-06-23 14:54:10 UTC
This is a tracking bug for things that needs to be resolved before gnupg 2.1 can be stabilized. As usual, please don't discuss in this report but file new bugs blocking this one.
Comment 1 Kristian Fiskerstrand gentoo-dev Security 2015-11-30 20:37:46 UTC
For clarity, GnuPG 2.1 will not actually be stabilized. Once 2.1 reaches stable state upstream, gnupg 2.2 will be released, and this is the first candidate for stable in Gentoo as well. GnuPG 2.0 is EOL 2017
Comment 2 Kristian Fiskerstrand gentoo-dev Security 2016-06-19 23:23:48 UTC
With the recent changes to 2.1.13, the 2.1 branch of gnupg is now ready to go stable dependent on the dependencies
Comment 3 Kristian Fiskerstrand gentoo-dev Security 2016-09-27 17:05:16 UTC
Arches, please stabilize:
=app-crypt/gnupg-2.1.15
Stable targets: alpha amd64
Comment 4 Kristian Fiskerstrand gentoo-dev Security 2016-09-27 19:32:11 UTC
Including arm for stablereq as deps have been stabilized
Comment 5 Tobias Klausmann gentoo-dev 2016-09-29 09:28:43 UTC
Stable on alpha.
Comment 6 Anthony Basile gentoo-dev 2016-10-09 22:45:42 UTC
stable on amd64.
Comment 7 Jeroen Roovers gentoo-dev 2016-10-21 08:43:10 UTC
(In reply to Kristian Fiskerstrand from comment #1)
> For clarity, GnuPG 2.1 will not actually be stabilized. Once 2.1 reaches
> stable state upstream, gnupg 2.2 will be released, and this is the first
> candidate for stable in Gentoo as well. GnuPG 2.0 is EOL 2017

(In reply to Kristian Fiskerstrand from comment #3)
> Arches, please stabilize:
> =app-crypt/gnupg-2.1.15
> Stable targets: alpha amd64

Could you make your mind up, please? You're also missing quite a few architectures here.
Comment 8 Kristian Fiskerstrand gentoo-dev Security 2016-10-21 08:51:29 UTC
(In reply to Jeroen Roovers from comment #7)
> (In reply to Kristian Fiskerstrand from comment #1)
> > For clarity, GnuPG 2.1 will not actually be stabilized. Once 2.1 reaches
> > stable state upstream, gnupg 2.2 will be released, and this is the first
> > candidate for stable in Gentoo as well. GnuPG 2.0 is EOL 2017
> 
> (In reply to Kristian Fiskerstrand from comment #3)
> > Arches, please stabilize:
> > =app-crypt/gnupg-2.1.15
> > Stable targets: alpha amd64
> 
> Could you make your mind up, please? You're also missing quite a few
> architectures here.

"Make mind up"? Please..... I can't request stabilization for the other architectures before the dependency stabilization in the related bugs are fixed.
Comment 9 Markus Meier gentoo-dev 2016-11-10 20:20:50 UTC
arm stable, all arches done.
Comment 10 Alon Bar-Lev gentoo-dev 2016-11-10 20:36:34 UTC
Reopening to complete other arch when due
Comment 11 Kristian Fiskerstrand gentoo-dev Security 2016-11-11 09:47:59 UTC
Arches, please stabilize:
=app-crypt/gnupg-2.1.15
Stable targets: hppa ppc64
Comment 12 Thomas Deutschmann gentoo-dev Security 2016-11-28 23:07:24 UTC
x86 stable
Comment 13 Agostino Sarubbo gentoo-dev 2016-12-28 08:38:31 UTC
Dear Maintainer (or who is mainly involved in this stable request),

This is an auto-generated message that will move the current component to the new component Stabilization.
To ensure that the stabilization will proceed correctly, please fill the fields "Atoms to stabilize" and "Runtime testing required" as described here:
https://archives.gentoo.org/gentoo-dev/message/4b2ef0e9aa7588224b8ae799c5fe31fa
Comment 14 Jeroen Roovers gentoo-dev 2017-01-16 15:30:17 UTC
Stable for HPPA.
Comment 15 Agostino Sarubbo gentoo-dev 2017-01-20 11:05:17 UTC
ppc64 stable. Closing.
Comment 16 Alon Bar-Lev gentoo-dev 2017-01-23 18:21:10 UTC
We need ia64, ppc, sparc for some reason were missing in CC.
Comment 17 Kristian Fiskerstrand gentoo-dev Security 2017-01-24 10:21:13 UTC
(In reply to Alon Bar-Lev from comment #16)
> We need ia64, ppc, sparc for some reason were missing in CC.

GnuPG 1.4 will still be available in same slot that have these stable, I'm not convinced keeping stable support for two branches of gnupg is worthwhile on these architectures (in particular ia64 and sparc)
Comment 18 Alon Bar-Lev gentoo-dev 2017-01-24 10:23:33 UTC
(In reply to Kristian Fiskerstrand from comment #17)
> (In reply to Alon Bar-Lev from comment #16)
> > We need ia64, ppc, sparc for some reason were missing in CC.
> 
> GnuPG 1.4 will still be available in same slot that have these stable, I'm
> not convinced keeping stable support for two branches of gnupg is worthwhile
> on these architectures (in particular ia64 and sparc)

This is a decision of archs, so far gnupg-2.0 was stabilize on these, if they would like top stop support we should make sure that all dependencies are also removed from these archs.
Comment 19 Alon Bar-Lev gentoo-dev 2017-01-27 22:33:12 UTC
I was sure I added the arch at CC...
Comment 20 Agostino Sarubbo gentoo-dev 2017-02-12 17:01:16 UTC
ppc stable
Comment 21 Agostino Sarubbo gentoo-dev 2017-02-17 10:57:09 UTC
sparc stable
Comment 22 Agostino Sarubbo gentoo-dev 2017-02-18 14:44:45 UTC
ia64 stable. Closing.